2020-07-11 13:10 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001883Spring engineGeneralpublic2010-09-15 09:47
ReporterLicho 
Assigned Toabma 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version0.81.2 
Target VersionFixed in Version0.82.5 
Summary0001883: Spring freezes on startup - windows - windowed mode
Description1) set spring to run in window
2) run other desktop application - ideally a movie

When spring starts, it freezes, its window is white, but you actually connect to game.
Windows message pumping isnt working because windows thinks its "frozen".

This bug exists since 0.79. I have reported it already but there is still no fix.
It happens on:
Windows XP
Windows Vista
Windows 7

Happens no matter what HW you run, with both nvidia and ati.

TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0004833

Beherith (reporter)

Now, do you mean that after it finishes loading, it works just fine? Because it does that for me, but I dont know if its because I have other programs running, usually many many others.

~0004835

Licho (reporter)

No of course not, its frozen forever.
You have to kill spring, it won't even close correctly.

It's very easy to replicate if you start couple of times in windowed mode while having various foreground applications. Happens on all win OS, with various ati and nvidia cards etc..

It's the reason why so many people have to "script in".

~0004838

hoijui (reporter)

if jk has no better idea, i would say this is a candidate for bisecting.
this is a lot of work of course, and as you say it is there since 0.79, you had to test between 0.78 and 0.79, for which the buildbot wont have the right mingwlibs anymore.. so you will have to compile yourself (if you can find the mingwlibs somewhere).
so yeah: some potential problems, and a lot of work.

~0005498

Licho (reporter)

It seems that latest latest versions dont suffer from this bug. I think it can be closed.

~0005529

abma (administrator)

as reporter sayed, fixed in current version
+Notes

-Issue History
Date Modified Username Field Change
2010-03-30 21:44 Licho New Issue
2010-04-22 18:20 Beherith Note Added: 0004833
2010-04-22 19:03 Licho Note Added: 0004835
2010-04-22 19:55 hoijui Note Added: 0004838
2010-09-11 17:52 Licho Note Added: 0005498
2010-09-15 09:47 abma Note Added: 0005529
2010-09-15 09:47 abma Status new => resolved
2010-09-15 09:47 abma Fixed in Version => 0.82.5
2010-09-15 09:47 abma Resolution open => fixed
2010-09-15 09:47 abma Assigned To => abma
+Issue History